@charset 'UTF-8';

.noselect { -webkit-touch-callout: none; -webkit-user-select: none; -khtml-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; }

/* ----------------------------------------------------------------------------------------------------------
#) BASKETBOX
---------------------------------------------------------------------------------------------------------- */
.basket-box { margin: 0 0 50px; border-top: 1px solid #efefef; padding: 50px 0 0;  }
.basket-box__container { border: 1px solid #efefef; padding: 15px; margin-bottom: 50px; }
.basket-box__navigation { margin: -15px -15px 50px; background: #f8f8f8; border-bottom: 1px solid #efefef; }
.basket-box__navigationlink { display: block; float: left; width: 25%; height: 50px; line-height: 50px; padding: 0 15px; position: relative; color: #232323; font-size: 15px; font-weight: bold; text-align: center; }
.basket-box__navigationlink::after { content: ""; position: absolute; top: 0; right: -20px; height: 50px; width: 0; height: 0; border-style: solid; border-width: 25px 0 25px 20px; border-color: transparent transparent transparent #f8f8f8; }
.basket-box__navigationlink::before { content: ""; position: absolute; top: -1px; right: -21px; height: 52px; border-style: solid; border-width: 25px 0 25px 20px; border-color: transparent transparent transparent #ebebeb; }
.basket-box__navigationlink:hover { text-decoration: none; }
.basket-box__navigationlink:last-child::before,
.basket-box__navigationlink:last-child::after { display: none; }
.basket-box__navigationlink.active { background: #f0f0f0; }
.basket-box__navigationlink.active::after { border-color: transparent transparent transparent #f0f0f0; }

.btn-pay { background: #32c361; color: #fff; border-radius: 0; font-weight: 600; min-width: 220px; padding-top: 10px; padding-bottom: 10px; }
.btn-pay:hover { color: #fff; -webkit-box-shadow: 2px 2px 1px 0 #2ba652; box-shadow: 2px 2px 1px 0 #2ba652; background: #32bf5f; }

.custom--margin { margin-bottom: 33px !important; }
.custom--adress { border-top: 1px solid #f8f8f8; margin-top: 6px !important; padding: 30px 0 0; }
/*.basket--success { border-width: 2px; border-color: #c8e6c9; background: #e8f5e9; }*/
/*.basket--danger { border-width: 2px; border-color: #ebccd1; background: #f2dede; }*/
.basket--success { border-width: 2px; border-color: #CACACA; }
.basket--danger { border-width: 2px; border-color: #CACACA; }

/* ----------------------------------------------------------------------------------------------------------
#) BASKETBOX HEADER
---------------------------------------------------------------------------------------------------------- */
.basket-box__header { margin: 0 0 50px; }
.basket-box__h1 { font-size: 32px; font-weight: 600; margin: 0; text-align: center; }

/* ----------------------------------------------------------------------------------------------------------
#) BASKETBOX PRODUCT LIST
---------------------------------------------------------------------------------------------------------- */
.basket-box-productrow { border-top: 1px solid #f8f8f8; padding: 20px 0; min-height: 25px; }
.basket-box__col { padding: 0 15px; }
.col--image { width: 70px; flex: 0 0 70px; padding: 0; }
.col--image img { max-width: 80%; position: absolute; top: 0; bottom: 0; right: 0; left: 0; margin: auto; }
.col--priceitem { width: 145px; text-align: right; }
.col--stock { width: 180px; text-align: center; }
.col--priceall { width: 130px; text-align: right; }
.col--buttons { width: 70px; }
.no--border { border-top: 0; }
.productrow__imagelink { position: relative; display: block; width: 100%; height: 50px; }
.productrow__name { display: block; }
.productrow__type { font-size: 13px; color: #6e6e6e; }
.stock__btn { display: inline-block; vertical-align: middle; background: linear-gradient(#f0f0f0, #efefef); border: 1px solid #dedede; border-radius: 4px; color: #000; cursor: pointer; width: 30px; height: 30px; line-height: 28px; text-align: center; }
.stock__input { width: 55px; display: inline-block; vertical-align: middle; text-align: center; margin: 0 4px; }
.buttons__close { color: #434343; width: 40px; height: 40px; text-align: center; line-height: 40px; cursor: pointer; transition: all 250ms; }
.buttons__close:hover { color: #000; }
.basket-box-gift { background: #f8f8f8; padding: 30px 85px 30px 0px; margin: 0 0 25px; border-radius: 8px; }
.summallprice { text-align: right; padding-right: 85px; }
.summallprice__item { width: 135px; flex: 0 0 135px; }
.basket-box-shipping { padding-right: 85px; }

.btn-basket-next { background: #43A047; color: #fff; border-radius: 0; padding: 15px 35px; transition: all 250ms; cursor: pointer; font-weight: bold; line-height: 1; min-width: 200px; font-size: 18px; }
.btn-basket-next:hover { color: #fff; background: #388E3C; }
.btn-basket-prev { background: #f0f0f0; color: #000; border-radius: 0; padding: 14px 35px; cursor: pointer; border-color: #e7e7e7; }
.btn-basket-prev:hover { color: #000; }

.basket-box__select { border-top: 1px solid #f8f8f8; padding: 40px 0 0; margin: 0 0 40px; }
.basket-box__select:last-child { margin-bottom: 0; }
.basket-box__selecttitle { margin-bottom: 31px; font-size: 20px; }
.basket-box__check { background: #efefef; padding: 15px 20px; border-radius: 4px; display: inline-flex; margin: 9px 7px; cursor: pointer; align-items: center; width: calc(40% - 17px); }
.check__input { margin: 0 15px 0 0; width: 13px; flex: 0 0 13px; }
.check__name { font-weight: bold; margin: 0 15px 0 0; }

.basket-box__loginask { border-top: 1px solid #f8f8f8; border-bottom: 1px solid #f8f8f8; padding: 15px 0; margin: 0 0 50px; }
.basket-box__formtitle { font-weight: bold; font-size: 18px; margin: 0 0 30px; }
.basket-box__adressform { border-top: 1px solid #f8f8f8; margin: 20px 0 30px; padding: 30px 0 0; }

.basket-box__message,
.basket-box__conditions { border-top: 1px solid #f8f8f8; padding: 30px 0 0; margin: 0 0 30px; }
.w--auto { width: auto; }

.basket-box-userinfo { border-top: 1px solid #f8f8f8; padding: 20px 0; }
.userinfo__item { padding: 0 15px; flex: 1; }
.userinfo__title { font-weight: bold; }
.productrow__description:hover { text-decoration: underline; }
.userinfo__item a { color: #3b2637; text-decoration: underline; }
.userinfo__item a:hover { color: #5a4c58;  }
/* ----------------------------------------------------------------------------------------------------------
#) USER BOX
---------------------------------------------------------------------------------------------------------- */
.user-box { margin: 0 0 50px; border-top: 1px solid #efefef; padding: 50px 0 0; }
.user-box__container { border: 1px solid #efefef; padding: 15px; margin-bottom: 50px; }
.user-box__header { margin: 35px 0 0; }
.user-box__h1 { text-align: center; margin: 0 0 50px; font-size: 32px; font-weight: 600; }
.nav--icon { vertical-align: middle; font-size: 21px; margin: 0 10px 0 0; position: relative; top: -1px; }
.custom--navlink { padding-top: 1em; padding-bottom: 1em; }
.custom--navtabs { margin: 0 -15px 20px; padding: 0 15px; border-color: #efefef; }
.custom--navtabs .nav-item.show .nav-link, .custom--navtabs .nav-link.active { border-color: #efefef #efefef #fff; }
.user-order-list { border-top: 1px solid #efefef; margin-left: 0; margin-right: 0; padding: 15px 0; }
.user-order-list--header { font-weight: bold; border-top: 0; }
.user-order-list--icon { vertical-align: middle; margin: 0 5px 0 0; }
.user-order-list__link { color: #000; }
.user-order-list__link:hover,
.user-order-list__link:focus { text-decoration: none; }
.adressform--custom { border: 0; margin: 35px 0 15px; padding: 0; }

/* ----------------------------------------------------------------------------------------------------------
#) COMPONENTS
---------------------------------------------------------------------------------------------------------- */
.check-validation ul { list-style: none; margin: 0; padding: 0; }

/* ----------------------------------------------------------------------------------------------------------
#) RESPONSIVE
---------------------------------------------------------------------------------------------------------- */
@media (max-width: 767px) {
	.basket-box,
	.user-box { padding: 0; border: 0; margin-bottom: 25px; }
	.basket-box__container { margin-bottom: 25px; }
	.basket-box__navigation { margin-bottom: 40px; }
	.basket-box__navigationlink { text-indent: 10px; font-size: 13px; }
	.basket-box__header { margin-bottom: 40px; }
	header.basket-box-productrow { display: none !important; }
	.basket-list-row { flex-wrap: wrap; background: #f8f8f8; border-radius: 6px; margin: 0 0 15px; padding: 15px 0 15px 10px; }
	.col--stock { text-align: left; width: auto; margin: 15px auto 0 0; }
	.col--description { flex: 1 1 calc(100% - 70px); }
	.col--priceitem { width: auto; text-align: left; margin: 15px 0 0; }
	.col--priceall { text-align: right; margin: 15px 0 0; width: auto; }
	.col--buttons { margin: 15px 0 0; }
	.basket-box-gift, .basket-box-shipping, .summallprice { padding-right: 15px; }
	.basket-box-gift { margin-bottom: 20px; }
	.basket-footer { padding: 0 15px; }
	.basket-box__select { padding-top: 25px; margin-bottom: 25px; }
	.basket-box__check { width: 100%; margin: 0 0 10px; }
	.basket-box__selecttitle { margin-bottom: 25px; }
	.basket-box__adressform { margin-top: 0; margin-bottom: 15px; display: block !important; }
	.basket-box__adressform .col-6 { width: 100%; max-width: none; }
	.basket-box__adressform .col-6:first-child { margin-bottom: 25px; }
	.basket-box__formtitle { margin-bottom: 20px; }
	.custom--margin { margin-bottom: 15px !important; }
	.custom--adress { padding-top: 15px; }
	.basket-box__message, .basket-box__conditions { padding: 15px 0 0; margin: 0 0 25px; }
	.basket-box-userinfo { display: block !important; }
	.userinfo__item { margin-bottom: 15px; }
	.userinfo__item:last-child { margin-bottom: 0; }
	.basket--success { margin: 15px 15px 0; width: auto !important; }
	.basket--danger { margin: 15px 15px 0; width: auto !important; }
	.custom--navlink { font-size: 14px; }
	.nav--icon { font-size: 20px; margin-right: 5px; }
	.user-box__header { margin-top: 15px; }
	.user-box__h1 { margin-bottom: 30px; }
	.user-box .col-6 { width: 100%; max-width: none; padding-left: 0; padding-right: 0; }
	.user-box .col { padding-left: 0; padding-right: 0; }
	.user-order-list .col-2 { max-width: 20%; flex: 0 0 20%; }
}
@media (max-width: 576px) {
	.basket-box__mobileico { visibility: hidden; }
	.basket-box__mobileico::after { position: absolute; top: 0; left: 0; visibility: visible; font-family: 'Material Icons'; font-size: 22px; width: 100%; text-align: center; }
	.basket-box__navigationlink { text-indent: 0; }
	.basket-box__navigationlink:nth-child(1) .basket-box__mobileico::after { content: 'shopping_basket'; }
	.basket-box__navigationlink:nth-child(2) .basket-box__mobileico::after { content: 'local_shipping'; }
	.basket-box__navigationlink:nth-child(3) .basket-box__mobileico::after { content: 'person'; }
	.basket-box__navigationlink:nth-child(4) .basket-box__mobileico::after { content: 'verified_user'; }
	.basket-box__navigationlink::before { border-width: 25px 0 25px 10px; right: -11px; }
	.basket-box__navigationlink::after { border-width: 25px 0 25px 10px; right: -10px; }
	.basket-list-row { padding: 15px; }
	.col--image img { max-width: 100%; }
	.productrow__imagelink { height: 70px; }
	.col--priceitem { display: none; }
	.col--stock { flex: 1 1 40%; padding: 0; }
	.col--priceall { flex: 1 1 50%; padding: 0; }
	.col--buttons { flex: 1 1 100%; padding: 0; }
	.buttons__close { width: 100%; background: #dedede; }
	.basket-box-shipping { display: block !important; padding: 20px; text-align: center; }
	.basket-box-shipping strong { padding: 0 !important; }
	.btn-basket-next,
	.btn-basket-prev { flex: 1 1 auto; min-width: auto; width: 100%; padding-left: 0; padding-right: 0; }
	.basket-box__container .col-6,
	.basket-box__container .col-12 { padding-left: 0; padding-right: 0; }
	.basket-box-shipping, .summallprice { padding-right: 0; }
	.summallprice .justify-content-end { justify-content: flex-start !important; }
	.summallprice .justify-content-end > div { flex: 1 1 50%; text-align: left; }
	.userinfo__item { padding-left: 0; padding-right: 0; }
	.custom--navlink { font-size: 0; position: relative; padding-top: 5px; padding-bottom: 5px; }
	.custom--navlink .material-icons { display: none; }
	.custom--navlink::before { content: ""; font-family: 'Material Icons'; font-size: 22px; padding: 0 20px; color: #9a9a9a; }
	.custom--navlink.active::before { color: #2e2e2e; }
	.nav-tabs .nav-item:nth-child(1) .custom--navlink::before { content: "shopping_basket"; }
	.nav-tabs .nav-item:nth-child(2) .custom--navlink::before { content: "person"; }
	.nav-tabs .nav-item:nth-child(3) .custom--navlink::before { content: "email"; }
	.nav-tabs .nav-item:nth-child(4) .custom--navlink::before { content: "lock"; }
	.nav-tabs .nav-item:nth-child(5) .custom--navlink::before { content: "power_settings_new"; }
	.user-order-list--header { display: none; }
	.user-order-list { border: 0; background: #efefef; border-radius: 6px; padding: 15px 15px 0; }
	.user-order-list .col,
	.user-order-list .col-3 { flex: 1 1 100%; width: 100%; }
	.user-order-list__link { border-bottom: 1px solid #dedede; margin: -15px -15px 0; padding: 15px; display: block; }
	.user-order-list .col-2 { flex: 1 1 50%; width: 50%; min-width: 50%; padding: 0; margin: 15px 0 7px; }
	.user-order-list .col-2:nth-child(3) { text-align: right; }
	.user-order-list .col-3 { margin-top: 8px; }
	.obchodne_podmienky { display: inline; margin: 0px; }
	.basket-box__check { flex-wrap: wrap; }
}

/* ----------------------------------------------------------------------------------------------------------
#) VSEOBECNE
---------------------------------------------------------------------------------------------------------- */
/*span.star:after { content: '*'; color: red; padding-left: 5px; }
.relative { position: relative; }
.absolute { position: absolute; }
.block { display: block; }

.product-stickers { position: absolute; width: 100px; top: 0px; right: 0px; }
.product-sticker { display: inline-block; width: 100%; float: right; text-align: right; background: silver; margin-bottom: 5px; }

.disable-selection,
.disable-selection * { -ms-user-select: none; -moz-user-select: -moz-none; -khtml-user-select: none; -webkit-user-select: none; user-select: none; }*/

/* ----------------------------------------------------------------------------------------------------------
#) BASKET
---------------------------------------------------------------------------------------------------------- */
/*.basket h1 { text-align: center; margin: 50px 0; }*/

/* ----------------------------------------------------------------------------------------------------------
#) BASKET LIST
---------------------------------------------------------------------------------------------------------- */
/*.basket-list {  }
.basket-list-header,
.basket-list-row { display: flex; }
.basket-list-header { font-size: 13px; font-weight: bold; border-bottom: 2px solid #f4f4f4; padding: 0 0 15px; }
.basket-list-row { padding: 15px 0; border-bottom: 2px solid #f4f4f4; align-items: center; font-size: 15px; color: #454545; }
.basket-list-row.gift { padding: 30px 0; font-size: 16px; border-bottom: 0; margin: 15px 0; border-radius: 10px; background: #f4f4f4; }
.basket-list-row.transit { padding: 30px 0; border-top: 2px solid #f4f4f4; border-bottom: 0; }
.basket-list-row.price { border-radius: 4px; border: 2px solid #f4f4f4; }

.basket-list .col1 { width: 100px; text-align: center; }
.basket-list .col1 a { position: relative; display: block; width: 100px; height: 80px; }
.basket-list .col1 img { max-width: 80%; max-height: 80%; position: absolute; top: 0; right: 0; bottom: 0; left: 0; margin: auto; }
.basket-list .col2 { flex: 1; }
.basket-list .col2 a:not(.btn) { font-size: 16px; color: #333; }
.basket-list .col2 .doprava-text { margin: 0; }
.basket-list .col3 { text-align: right; width: 150px; }
.basket-list .col4 { width: 30px; text-align: right; }
.basket-list .col5 { width: 150px; text-align: center; }
.basket-list .col5 > * { display: inline-block; vertical-align: middle; }
.basket-list .col5 input[type="text"] { width: 60px; height: 35px; border-radius: 0; border-width: 2px; text-align: center; border-color: #f4f4f4; box-shadow: none; font-size: 15px; }
.basket-list .col5 .material-icons { font-size: 20px; cursor: pointer; margin: 0 5px; color: #cacaca; }
.basket-list .col5 .material-icons:hover { color: #232323; }
.basket-list .col6 { width: 100px; }
.basket-list .col7 { width: 50px; text-align: left; }
.basket-list .col7 a { color: #ee2e45; cursor: pointer; }
.basket-list-row.price .col1 { flex: 1; width: auto; text-align: left; }
.basket-list-row.price .col1 div { padding: 0 0 0 100px; }
.basket-list-row.price .col1 div > * { display: inline-block; vertical-align: bottom; }
.basket-list-row.price .col1 .label-price { font-size: 14px; width: 150px; }
.basket-list-row.price .col1 p { font-size: 20px; margin: 0; }
.basket-list-row.price .col2 { width: auto; flex: 0; padding-right: 50px; }*/

/* ----------------------------------------------------------------------------------------------------------
#) BASKET LIST - responsive
---------------------------------------------------------------------------------------------------------- */
/*@media only screen and (max-width: 1050px) {}
@media only screen and (max-width: 991px) {
	.basket-list-row.gift .col3,
	.basket-list-row.transit .col3 { display: none; }
}
@media only screen and (max-width: 767px) {
	.basket-list-header > * { display: none; }
	.basket-list-row { flex-wrap: wrap; }
	.basket-list .col2 { flex: 1 0 auto; width: calc(100% - 100px); }
	.basket-list .col3 { width: auto; }
}*/